Bug 60418 - Killing kde artsd program freezes entire linux system
Killing kde artsd program freezes entire linux system
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Depends On:
  Show dependency treegraph
Reported: 2002-02-27 11:41 EST by Harvey Modlin
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-07 21:45:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Harvey Modlin 2002-02-27 11:41:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20010901

Description of problem:
If I manually launch artsd and then kill it, linux locks up totally. If I log in
at console with KDE and sound turned off in KDE, I have no problems. If sound is
turned on in KDE, KDE and sound works fine until I log out, then at log out
linux instantly locks up. I can achieve the same awful result under GNOME. I
only have had this problem since upgrading to kde and arts 2.2.2.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Method 1:
1. Log in using Gnome. Username (root or otherwise) isn't important.
2. Launch a terminal window.
3. Run "/usr/bin/artsd &" or "nohup /usr/bin/artsd".
4. Issue a "kill -9" on the artsd process.
Method 2:
1.Log in using KDE.
2.Launch KDE Control Center. Go to Sound, Sound Server. Check "Start aRts sound
server on KDE startup". Go to Sound I/O tab. Select sound I/O method "Open Sound
System." Click on the Apply button. Click on File, Quit.
3.Open a new terminal window.

Actual Results:  Linux just freezes up. All networking stops. All daemons seem
to stop working. The keyboard and mouse are unresponsive. If logged in with
GNOME, the image of the GNOME screen freezes. If logged in with KDE, the screen
simply turns black. (I call this the black screen of death, or BSOD :) to misuse
the all-to-familiar phrase).

Expected Results:  No lockup. Child processes of the login exit gracefully. All
linux software and attached hardware :) continues to function properly. Console
screen goes back to an X login.

Additional info:

I run RH 7.2 with all updated rpms on updates.redhat.com ftp site (7.2/en/os).
For example, I use kernel-enterprise-2.4.9-21, kdeXXXX-2.2.2-X, and
arts-2.2.2-2; that is, whatever is on updates.redhat.com as of date 2002/02/27.

Sound hardware is built into Intel motherboard 815ee.Since RH 7.0 I have seen
these messages in /var/log/messages:
Feb 27 07:56:04 waves modprobe: modprobe: Can't locate module sound-slot-1
Feb 27 07:56:04 waves modprobe: modprobe: Can't locate module sound-service-1-0
Notwithstanding these error mesages, sound works on my system. For example, when
artsd is running I can play music through xmms under GNOME and KDE (but under
KDE I also have to have OSS configured as my sound server).

It's just that when artsd is killed, my system crashes absolutely and
Comment 1 Bernhard Rosenkraenzer 2002-03-04 06:13:28 EST
Appears to be a sound driver problem, as I can't reproduce it on any of my machines (ESS 
Maestro 3E, Sound Blaster AWE32 ISA, Via 8233). 
Comment 2 Arjan van de Ven 2002-03-04 06:17:03 EST
If this is a i810 soundcard, please try the latest 2.4.9-31 errata kernel

Note You need to log in before you can comment on or make changes to this bug.